Set the compression method of an entry defined by its index

- « ZipArchive::setCommentName

- ZipArchive::setCompressionName »

- PHP Manual
- ZipArchive
- Set the compression method of an entry defined by its index

# ZipArchive::setCompressionIndex

(PHP 7, PHP 8, PECL zip >= 1.13.0)

ZipArchive::setCompressionIndex — Set the compression method of an entry defined by its index

### Description

public ZipArchive::setCompressionIndex(int `$index`, int `$method`, int `$compflags` = 0): bool

Set the compression method of an entry defined by its index.

### Parameters

`index`

  Index of the entry.

`method`

  The compression method, one of the `ZipArchive::CM_*` constants.

`compflags`

  Compression level.

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 Add files with different compression methods to an archive

    <?php$zip = new ZipArchive;$res = $zip->open('test.zip', ZipArchive::CREATE);if ($res === TRUE) {    $zip->addFromString('foo', 'Some text');    $zip->addFromString('bar', 'Some other text');    $zip->setCompressionIndex(0, ZipArchive::CM_STORE);    $zip->setCompressionIndex(1, ZipArchive::CM_DEFLATE);    $zip->close();    echo 'ok';} else {    echo 'failed';}?>